package com.mortals.xhx.module.deploy.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:DeployForm
* date: 2021-8-2 11:53:53
*/
public class DeployFormEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1627876433418L;


    /**
    * 表单主键ID
    */
    private Long formId;

    /**
    * 流程实例主键
    */
    private String deployId;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户,登录名
    */
    private String createUser;

    /**
    * 创建人ID
    */
    private Long createUserId;

    public DeployFormEntity(){

    }
    /**
    * 获取 表单主键ID
    * @return formId
    */
    public Long getFormId() {
        return this.formId;
    }
    /**
    * 设置 表单主键ID
    * @param formId
    */
    public void setFormId(Long formId) {
        this.formId = formId;
    }
    /**
    * 获取 流程实例主键
    * @return deployId
    */
    public String getDeployId() {
        return this.deployId;
    }
    /**
    * 设置 流程实例主键
    * @param deployId
    */
    public void setDeployId(String deployId) {
        this.deployId = deployId;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户,登录名
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户,登录名
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
    /**
    * 获取 创建人ID
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建人ID
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof DeployFormEntity) {
            DeployFormEntity tmp = (DeployFormEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",formId:").append(getFormId())
                .append(",deployId:").append(getDeployId())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
                .append(",createUserId:").append(getCreateUserId())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.formId = null;
         this.deployId = null;
         this.createTime = null;
         this.createUser = null;
         this.createUserId = null;
    }
}